%define upstream_name    URI-Find-Simple
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A simple interface to URI::Find 
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI::Find)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
URI::Find is all very well, but sometimes you just want a list of the links 
in a given piece of text, or you want to change all the urls in some text 
somehow, and don't want to mess with callback interfaces.

This module uses URI::Find, but hides the callback interface, providing two 
functions - one to list all the uris, and one to change all the uris.
%prep
%setup -q -n URI-Find-Simple-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/URI/
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.60.0-6pclos2017
- rebuild against updates

